
QGIS Application - Bug report #19544

QGIS 3.2.1-1 crashes on OS X after severe zooming in

2018-08-04 03:35 PM - Rodrigo Ventura

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.2.1 Regression?: No

Operating System: Mac OS X 10.11.6 (El Capitan) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27371

Description

When zooming in significantly much, using a google maps raster layer, QGIS crashes. I’m attaching the crash report. This happened both

with QGIS 3.2.1 and the previous version.

My system is Mac OS X 10.11.6 (El Capitan). Python is from python.org, version 3.6.6.

History

#1 - 2018-08-04 11:18 PM - Nyall Dawson

- Status changed from Open to Feedback

How did you add the Google layer? Was it using a plugin?

#2 - 2018-08-05 11:08 AM - Rodrigo Ventura

Nyall Dawson wrote:

How did you add the Google layer? Was it using a plugin?

How to reproduce:

    1. new project

    2. new connection to XYZ tile, use Google Satellite URL http://www.google.cn/maps/vt?lyrs=s@189&#38;gl=cn&#38;x={x}&#38;y={y}&#38;z={z} from 

https://geogeek.xyz/how-to-add-google-maps-layers-in-qgis-3.html

    3. zoom in continuously

    4. crash

#3 - 2018-08-05 04:47 PM - Giovanni Manghi

Remove any 3rd party plugin or even better create a clean profile and re-try with it.

#4 - 2018-08-05 08:17 PM - Rodrigo Ventura

Giovanni Manghi wrote:

Remove any 3rd party plugin or even better create a clean profile and re-try with it.

2025-12-15 1/3

http://www.google.cn/maps/vt?lyrs=s@189&#38;gl=cn&#38;x={x}&#38;y={y}&#38;z={z
https://geogeek.xyz/how-to-add-google-maps-layers-in-qgis-3.html


Done that and still crashes.

I only had the Freehand raster georeferencer (version 0.5.3.1). Removed it, restarted QGIS, retried steps, and still crashes.

#5 - 2018-08-05 08:27 PM - Giovanni Manghi

Rodrigo Ventura wrote:

Giovanni Manghi wrote:

Remove any 3rd party plugin or even better create a clean profile and re-try with it.

Done that and still crashes.

I only had the Freehand raster georeferencer (version 0.5.3.1). Removed it, restarted QGIS, retried steps, and still crashes.

tries a clean profile?

#6 - 2018-08-06 10:04 AM - Rodrigo Ventura

Giovanni Manghi wrote:

Rodrigo Ventura wrote:

Giovanni Manghi wrote:

Remove any 3rd party plugin or even better create a clean profile and re-try with it.

Done that and still crashes.

I only had the Freehand raster georeferencer (version 0.5.3.1). Removed it, restarted QGIS, retried steps, and still crashes.

tries a clean profile?

Yes, just made a new profile and reproduced the steps. It also crashes.

#7 - 2018-08-06 12:33 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Category changed from OsX UI to Web Services clients/XYZ

#8 - 2018-08-28 09:09 PM - Nathan Perry

- File qgis crash 2.txt added

Same issue here; attaching my own crash log. This appears to be a duplicate of https://issues.qgis.org/issues/19478. The crash seems to occur

consistently at certain locations/zoom levels, but I have not yet been able to predict when it will occur.
#9 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#10 - 2018-11-17 02:53 PM - Rodrigo Ventura

Giovanni Manghi wrote:

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

It works, no more crashes. Thanks!

#11 - 2018-11-17 06:22 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

qgis crash.txt 108 KB 2018-08-04 Rodrigo Ventura

qgis crash 2.txt 103 KB 2018-08-28 Nathan Perry
